Subject: Re: [PATCH v8 05/25] char/nvram: Adopt arch_nvram_ops

From: Christoph Hellwig <[email-masked]>
Date: Fri, 4 Jan 2019 09:56:39 -0800

On Fri, Jan 04, 2019 at 09:08:13AM +1100, Finn Thain wrote:
> On Thu, 3 Jan 2019, Christoph Hellwig wrote:
> 
> > > +
> > > +const struct nvram_ops arch_nvram_ops = {
> > > +	.read_byte      = nvram_read_byte,
> > > +	.write_byte     = nvram_write_byte,
> > > +	.get_size       = nvram_get_size,
> > > +};
> > > +EXPORT_SYMBOL(arch_nvram_ops);
> > 
> > I think something this internal should always be EXPORT_SYMBOL_GPL.
> > 
> 
> By "internal" do you mean "not involving interests outside of the Linux 
> Foundation"? TBH, I don't know who's affected.

Linux Foundation doesn't matter.

But as far as I can see you export the struct from arch code
for nvram.ko to use them and no one else, which is clearly internal.